| NodeSearch::$database |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
The current database connection. |
| NodeSearch::$databaseReplica |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
The replica database connection. |
| NodeSearch::$entityTypeManager |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
The entity type manager. |
| NodeSearch::$languageManager |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
The language manager. |
| NodeSearch::$messenger |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
The messenger. |
| NodeSearch::$moduleHandler |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
A module manager object. |
| NodeSearch::$rankings |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
An array of additional rankings from hook_ranking(). |
| NodeSearch::$renderer |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
The Renderer service to format the username and node. |
| NodeSearch::$searchIndex |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
The search index. |
| NodeSearch::$searchSettings |
property |
core/modules/node/src/Plugin/Search/NodeSearch.php |
A config object for 'search.settings'. |
| NodeSearch::access |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Checks data value access. |
| NodeSearch::addNodeRankings |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Adds the configured rankings to the search query. |
| NodeSearch::ADVANCED_FORM |
constant |
core/modules/node/src/Plugin/Search/NodeSearch.php |
A constant for setting and checking the query string. |
| NodeSearch::buildConfigurationForm |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Form constructor. |
| NodeSearch::buildSearchUrlQuery |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Builds the URL GET query parameters array for search. |
| NodeSearch::create |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Creates an instance of the plugin. |
| NodeSearch::defaultConfiguration |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Gets default configuration for this plugin. |
| NodeSearch::execute |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Executes the search. |
| NodeSearch::findResults |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Queries to find search results, and sets status messages. |
| NodeSearch::getRankings |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Gathers ranking definitions from hook_ranking(). |
| NodeSearch::getType |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Returns the search index type this plugin uses. |
| NodeSearch::indexClear |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Clears the search index for this plugin. |
| NodeSearch::indexNode |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Indexes a single node. |
| NodeSearch::indexStatus |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Reports the status of indexing. |
| NodeSearch::isSearchExecutable |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Verifies if the values set via setSearch() are valid and sufficient. |
| NodeSearch::markForReindex |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Marks the search index for reindexing for this plugin. |
| NodeSearch::parseAdvancedDefaults |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Parses the advanced search form default values. |
| NodeSearch::prepareResults |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Prepares search results for rendering. |
| NodeSearch::removeSubmittedInfo |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Removes the submitted by information from the build array. |
| NodeSearch::searchFormAlter |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Alters the search form when being built for a given plugin. |
| NodeSearch::submitConfigurationForm |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Form submission handler. |
| NodeSearch::trustedCallbacks |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Lists the trusted callbacks provided by the implementing class. |
| NodeSearch::updateIndex |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Updates the search index for this plugin. |
| NodeSearch::__construct |
function |
core/modules/node/src/Plugin/Search/NodeSearch.php |
Constructs a \Drupal\node\Plugin\Search\NodeSearch object. |
| NodeSelection |
class |
core/modules/node/src/Plugin/EntityReferenceSelection/NodeSelection.php |
Provides specific access control for the node entity type. |
| NodeSelection.php |
file |
core/modules/node/src/Plugin/EntityReferenceSelection/NodeSelection.php |
|
| NodeSelection::buildEntityQuery |
function |
core/modules/node/src/Plugin/EntityReferenceSelection/NodeSelection.php |
Builds an EntityQuery to get referenceable entities. |
| NodeSelection::createNewEntity |
function |
core/modules/node/src/Plugin/EntityReferenceSelection/NodeSelection.php |
Creates a new entity object that can be used as a valid reference. |
| NodeSelection::validateReferenceableNewEntities |
function |
core/modules/node/src/Plugin/EntityReferenceSelection/NodeSelection.php |
Validates which newly created entities can be referenced. |
| NodeServiceProvider |
class |
core/modules/node/src/NodeServiceProvider.php |
Registers services in the container. |
| NodeServiceProvider.php |
file |
core/modules/node/src/NodeServiceProvider.php |
|
| NodeServiceProvider::register |
function |
core/modules/node/src/NodeServiceProvider.php |
Registers services to the container. |
| NodeStatisticsDatabaseStorage |
class |
core/modules/statistics/src/NodeStatisticsDatabaseStorage.php |
Provides the default database storage backend for statistics. |
| NodeStatisticsDatabaseStorage.php |
file |
core/modules/statistics/src/NodeStatisticsDatabaseStorage.php |
|
| NodeStatisticsDatabaseStorage::$connection |
property |
core/modules/statistics/src/NodeStatisticsDatabaseStorage.php |
The database connection used. |
| NodeStatisticsDatabaseStorage::$requestStack |
property |
core/modules/statistics/src/NodeStatisticsDatabaseStorage.php |
The request stack. |
| NodeStatisticsDatabaseStorage::$state |
property |
core/modules/statistics/src/NodeStatisticsDatabaseStorage.php |
The state service. |
| NodeStatisticsDatabaseStorage::deleteViews |
function |
core/modules/statistics/src/NodeStatisticsDatabaseStorage.php |
Delete counts for a specific entity. |
| NodeStatisticsDatabaseStorage::fetchAll |
function |
core/modules/statistics/src/NodeStatisticsDatabaseStorage.php |
Returns the number of times an entity has been viewed. |
| NodeStatisticsDatabaseStorage::fetchView |
function |
core/modules/statistics/src/NodeStatisticsDatabaseStorage.php |
Returns the number of times a single entity has been viewed. |